Groovy Documentation

## org.codehaus.groovy.tools
[Java] Class FileSystemCompiler

    java.lang.Object
      org.codehaus.groovy.tools.FileSystemCompiler

    public class FileSystemCompiler
    extends java.lang.Object

Command-line compiler (aka. `groovyc`).

Version:
  \$Id\$

Constructor Summary
`FileSystemCompiler(CompilerConfiguration configuration)`
`FileSystemCompiler(CompilerConfiguration configuration, CompilationUnit cu)`

Method Summary
`static int` | `checkFiles(java.lang.String[] filenames)`
`static void` | `commandLineCompile(java.lang.String[] args)` Same as main(args) except that exceptions are thrown out instead of causing the VM to exit.
`static void` | `commandLineCompile(java.lang.String[] args, boolean lookupUnnamedFiles)` Same as main(args) except that exceptions are thrown out instead of causing the VM to exit and the lookup for .groovy files can be controlled
`static void` | `commandLineCompileWithErrorHandling(java.lang.String[] args, boolean lookupUnnamedFiles)` Primary entry point for compiling from the command line (using the groovyc script).
`void` | `compile(java.lang.String[] paths)`
`void` | `compile(java.io.File[] files)`
`static org.apache.commons.cli.Options` | `createCompilationOptions()`
`static java.io.File` | `createTempDir()`
`static void` | `deleteRecursive(java.io.File file)`
`static void` | `displayHelp(org.apache.commons.cli.Options options)`
`static void` | `displayVersion()`
`static void` | `doCompilation(CompilerConfiguration configuration, CompilationUnit unit, java.lang.String[] filenames)`
`static void` | `doCompilation(CompilerConfiguration configuration, CompilationUnit unit, java.lang.String[] filenames, boolean lookupUnnamedFiles)`
`static CompilerConfiguration` | `generateCompilerConfigurationFromOptions(org.apache.commons.cli.CommandLine cli)`
`static java.lang.String[]` | `generateFileNamesFromOptions(org.apache.commons.cli.CommandLine cli)`
`static void` | `main(java.lang.String[] args)` Primary entry point for compiling from the command line (using the groovyc script).
`static boolean` | `validateFiles(java.lang.String[] filenames)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### FileSystemCompiler

    public FileSystemCompiler(CompilerConfiguration configuration)

### FileSystemCompiler

    public FileSystemCompiler(CompilerConfiguration configuration, CompilationUnit cu)

Method Detail

### checkFiles

    public static int checkFiles(java.lang.String[] filenames)

### commandLineCompile

    public static void commandLineCompile(java.lang.String[] args)

  Same as main(args) except that exceptions are thrown out instead of causing the VM to exit.

### commandLineCompile

    public static void commandLineCompile(java.lang.String[] args, boolean lookupUnnamedFiles)

  Same as main(args) except that exceptions are thrown out instead of causing the VM to exit and the lookup for .groovy files can be controlled

### commandLineCompileWithErrorHandling

    public static void commandLineCompileWithErrorHandling(java.lang.String[] args, boolean lookupUnnamedFiles)

  Primary entry point for compiling from the command line (using the groovyc script). If calling inside a process and you don't want the JVM to exit on an error call commandLineCompile(String[]), which this method simply wraps
  Parameters:
    `args` - command line arguments
    `lookupUnnamedFiles` - do a lookup for .groovy files not part of the given list of files to compile

### compile

    public void compile(java.lang.String[] paths)

### compile

    public void compile(java.io.File[] files)

### createCompilationOptions

    public static org.apache.commons.cli.Options createCompilationOptions()

### createTempDir

    public static java.io.File createTempDir()

### deleteRecursive

    public static void deleteRecursive(java.io.File file)

### displayHelp

    public static void displayHelp(org.apache.commons.cli.Options options)

### displayVersion

    public static void displayVersion()

### doCompilation

    public static void doCompilation(CompilerConfiguration configuration, CompilationUnit unit, java.lang.String[] filenames)

### doCompilation

    public static void doCompilation(CompilerConfiguration configuration, CompilationUnit unit, java.lang.String[] filenames, boolean lookupUnnamedFiles)

### generateCompilerConfigurationFromOptions

    public static CompilerConfiguration generateCompilerConfigurationFromOptions(org.apache.commons.cli.CommandLine cli)

### generateFileNamesFromOptions

    public static java.lang.String[] generateFileNamesFromOptions(org.apache.commons.cli.CommandLine cli)

### main

    public static void main(java.lang.String[] args)

  Primary entry point for compiling from the command line (using the groovyc script). If calling inside a process and you don't want the JVM to exit on an error call commandLineCompile(String[]), which this method simply wraps
  Parameters:
    `args` - command line arguments

### validateFiles

    public static boolean validateFiles(java.lang.String[] filenames)

Groovy Documentation